#include once "window9.bi"

Function Read_File (ByRef sFileName As USTRING, ByVal iPar As Integer=FILE_ATTRIBUTE_NORMAL) As HANDLE Export
	#ifdef UNICODE
		Var hFile = CreateFile(*sFileName, GENERIC_READ, FILE_SHARE_READ or FILE_SHARE_WRITE,0, OPEN_EXISTING, iPar,0)
	#else	
		Var hFile = CreateFile(sFileName, GENERIC_READ, FILE_SHARE_READ or FILE_SHARE_WRITE,0, OPEN_EXISTING, iPar,0)
	#EndIf  
	Return hFile
End Function
